<!DOCTYPE HTML>
<!--
	Massively by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html>
	<head>
		<title> Output Devices</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<link rel="stylesheet" href="../assets/css/main.css" />
		<noscript><link rel=".../stylesheet" href="../assets/css/noscript.css" /></noscript>
	</head>
	<body class="is-preload">

		<!-- Wrapper -->
			<div id="wrapper">

				<!-- Header -->
					<header id="header">
						<a href="Outputs.html" class="logo">back to fab </a>
					</header>

				<!-- Nav -->
					<nav id="nav">
						<ul class="links">
							<li><a href="FabAcademy.html">back to fab</a></li>
							<li class="active"><a href="Outputs.html"> Ouput Devices</a></li>
						</ul>
						<ul class="icons">
							<li><a href="#" class="icon brands fa-twitter"><span class="label">Twitter</span></a></li>
							<li><a href="#" class="icon brands fa-facebook-f"><span class="label">Facebook</span></a></li>
							<li><a href="#" class="icon brands fa-instagram"><span class="label">Instagram</span></a></li>
							<li><a href="#" class="icon brands fa-github"><span class="label">GitHub</span></a></li>
						</ul>
					</nav>

				<!-- Main -->
					<div id="main">

						<!-- Post -->
							<section class="post">
								<header class="major">
									<h1> OUT<br />
									</h1>
									<p> Create Ouput with a buzzer </p>
								</header>

					<div class="image main"><img src="../images/fab/inputs outputs/out.jpeg" alt="" /> </div>
					<p> For this weeks assignment some of our classmates that are very familiar with input and output devices, decided to form a group so they can help us with the assignments. Here you can see the output part. </p>
<br> </br>
					<p> This assignment is basically the continuation of th Input Devices assignment. Any questions about the code and how it works can be answered if go to
					<a href="file:///C:/Users/ergin/OneDrive/Desktop/erginasgit/ergina.restou/fabacademy/Inputs.html"> that </a> documentation.</p>
<p>As an output device to the circuit i had before i decided to use a buzzer. My plan is to use the temprature sensor as an input that generates a buzz sound as oytput when the tempratyre is above certain threshold.</p>
<p>In order to achieve that i needed to find online an "if staytment code" that i could combine with the code i already have and try to produce thewanted outcome.</p>

<p>Here you can see the two codes side by side when i was trying to figure out how to conect them. </p>
				<br>    <img src="../images/fab/inputs outputs/if statement .png" alt=" "width="100%" />
<p>Fortunately once again the comments on the side of the code were very clear and it was very easy to understand what was going on. The only problem i had was that i wasn't sure how to combine them.
		My classmates helped me once again at this stage by explaining to me the correct way to do it.</p>
 <p>First step was to set all the int for the sensor the buzzer and the threshold we wanted to use. </p>
 <p>Then we seted up the buzzer as an output and proceeded by adding the void loop code that we generated in the inputs assignment. </p>
</p>
<p>And at the end of the code we added the if statement. </p>
<p>The code looks like this: </p>
<br>    <img src="../images/fab/inputs outputs/final code.png" alt=" "width="100%" />
<br>		<a href="../images/fab/inputs outputs//temp_sen_and_buzzer.rar" > Temp Sensor and Buzzer</a>

<embed src="../images/fab/inputs outputs/video.mp4" width="100%"> </embed>

							</section>

				 	</div>

				<!-- Footer -->
					<footer id="footer">



							<section>
								<h3>Social</h3>
								<ul class="icons alt">
									<li><a href="#" class="icon brands alt fa-twitter"><span class="label">Twitter</span></a></li>
									<li><a href="#" class="icon brands alt fa-facebook-f"><span class="label">Facebook</span></a></li>
									<li><a href="#" class="icon brands alt fa-instagram"><span class="label">Instagram</span></a></li>
									<li><a href="#" class="icon brands alt fa-github"><span class="label">GitHub</span></a></li>
								</ul>
							</section>
						</section>
					</footer>

				<!-- Copyright -->

			</div>

		<!-- Scripts -->
			<script src="assets/js/jquery.min.js"></script>
			<script src="assets/js/jquery.scrollex.min.js"></script>
			<script src="assets/js/jquery.scrolly.min.js"></script>
			<script src="assets/js/browser.min.js"></script>
			<script src="assets/js/breakpoints.min.js"></script>
			<script src="assets/js/util.js"></script>
			<script src="assets/js/main.js"></script>

	</body>
</html>
